package realdebrid

type TorrentStatus struct {
	Id               string   `json:"id"`
	FileName         string   `json:"filename"`
	OriginalFileName string   `json:"original_filename"`
	Hash             string   `json:"hash"`
	Status           string   `json:"status"`
	Progress         int      `json:"progress"`
	Links            []string `json:"links"`
}

func (status TorrentStatus) IsDone() bool {
	return status.Status == "downloaded"
}

func (status TorrentStatus) IsError() bool {
	return status.Status == "magnet_error" || status.Status == "virus" || status.Status == "dead" || status.Status == "error"
}
